apiVersion: v1
kind: Service
metadata:
  name: starhopper-analytics
  namespace: default
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    run: starhopper-analytics
  type: LoadBalancer

---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: starhopper-analytics
  namespace: default
spec:
  selector:
    matchLabels:
      run: starhopper-analytics
  template:
    metadata:
      labels:
        run: starhopper-analytics
    spec:
      containers:
      - image: gcr.io/opticca-k8s-testbed/starhopper-analytics:1
        imagePullPolicy: IfNotPresent
        name: starhopper-analytics
        ports:
        - containerPort: 8080
          protocol: TCP
